## org.mortbay.jetty.servlet
Interface SessionManager

All Superinterfaces:
  LifeCycle, java.io.Serializable

All Known Implementing Classes:
  AbstractSessionManager

public interface SessionManager
extends LifeCycle, java.io.Serializable

Version:
  $Id: SessionManager.java,v 1.11.2.1 2003/07/31 14:10:03 gregwilkins Exp $
Author:
  Greg Wilkins

Nested Class Summary
`static interface` `SessionManager.Session`

Field Summary
`static java.lang.String` `__MaxAge` Session Max Age.
`static java.lang.String` `__SessionCookie` Session cookie name.
`static java.lang.String` `__SessionDomain` Session Domain.
`static java.lang.String` `__SessionPath` Session Path.
`static java.lang.String` `__SessionURL` Session URL parameter name.
`static java.lang.String` `__SessionUrlPrefix`

Method Summary
`void` `addEventListener(java.util.EventListener listener)` Add an event listener.
`HttpSession` `getHttpSession(java.lang.String id)`
`int` `getMaxInactiveInterval()`
`void` `initialize(ServletHandler handler)`
`HttpSession` `newHttpSession(HttpServletRequest request)`
`void` `removeEventListener(java.util.EventListener listener)`
`void` `setMaxInactiveInterval(int seconds)`

Methods inherited from interface org.mortbay.util.LifeCycle
`isStarted, start, stop`

Field Detail

### __SessionCookie

    public static final java.lang.String __SessionCookie

  Session cookie name. Defaults to JSESSIONID, but can be set with the org.mortbay.jetty.servlet.SessionCookie system property.

### __SessionURL

    public static final java.lang.String __SessionURL

  Session URL parameter name. Defaults to jsessionid, but can be set with the org.mortbay.jetty.servlet.SessionURL system property.

### __SessionUrlPrefix

    public static final java.lang.String __SessionUrlPrefix

### __SessionDomain

    public static final java.lang.String __SessionDomain

  Session Domain. If this property is set as a ServletContext InitParam, then it is used as the domain for session cookies. If it is not set, then no domain is specified for the session cookie.

  See Also:
    Constant Field Values

### __SessionPath

    public static final java.lang.String __SessionPath

  Session Path. If this property is set as a ServletContext InitParam, then it is used as the path for the session cookie. If it is not set, then the context path is used as the path for the cookie.

  See Also:
    Constant Field Values

### __MaxAge

    public static final java.lang.String __MaxAge

  Session Max Age. If this property is set as a ServletContext InitParam, then it is used as the max age for the session cookie. If it is not set, then a max age of -1 is used.

  See Also:
    Constant Field Values

Method Detail

### initialize

    public void initialize(ServletHandler handler)

### getHttpSession

    public HttpSession getHttpSession(java.lang.String id)

### newHttpSession

    public HttpSession newHttpSession(HttpServletRequest request)

### getMaxInactiveInterval

    public int getMaxInactiveInterval()

### setMaxInactiveInterval

    public void setMaxInactiveInterval(int seconds)

### addEventListener

    public void addEventListener(java.util.EventListener listener)
                          throws java.lang.IllegalArgumentException

  Add an event listener.

  Parameters:
    `listener` - An Event Listener. Individual SessionManagers implemetations may accept arbitrary listener types, but they are expected to at least handle HttpSessionActivationListener, HttpSessionAttributeListener, HttpSessionBindingListener, HttpSessionListener
  Throws:
    `java.lang.IllegalArgumentException` - If an unsupported listener is passed.

### removeEventListener

    public void removeEventListener(java.util.EventListener listener)

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.